Bug 530340 - USB devices not working on HP x86_64
USB devices not working on HP x86_64
Status: CLOSED DUPLICATE of bug 524808
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 08:52 EDT by Duncan Innes
Modified: 2009-11-07 19:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 19:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Duncan Innes 2009-10-22 08:52:18 EDT
Description of problem:
USB devices not working during/after x86_64 DVD install

Version-Release number of selected component (if applicable):
2.6.31.1-56.fc12.x86_64

How reproducible:
Every install of x86_64

Steps to Reproduce:
1. Install Fedora 12 from x86_64 DVD
2. 
3.
  
Actual results:
USB mouse doesn't work during install.  USB devices don't work after install

Expected results:
USB devices to work

Additional info:
lsusb (with USB mouse, USB HD & iPhone connected) - note, iPhone doesn't even manage to charge from the USB port & the USB mouse doesn't have the LED on underneath.

[root@vsplvunix01 ~]# lsusb
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
[root@vsplvunix01 ~]# lsusb -v

Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.2
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0101 power connect
   Port 2: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0002 2.0 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:1d.7
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             6
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0100 power
   Port 5: 0000.0100 power
   Port 6: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.1
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1d.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1a.2
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0301 lowspeed power connect
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0002 2.0 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:1a.7
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             6
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0100 power
   Port 5: 0000.0100 power
   Port 6: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1a.1
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0001 1.1 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.31.1-56.fc12.x86_64 uhci_hcd
  iProduct                2 UHCI Host Controller
  iSerial                 1 0000:00:1a.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled
[root@vsplvunix01 ~]#
Comment 1 Duncan Innes 2009-10-22 08:57:30 EDT
http://www.smolts.org/client/show/pub_e987d341-d98a-484f-a822-ade025fe7c75

HP Compaq dc7900 Small Form Factor
Comment 2 Duncan Innes 2009-10-27 05:50:12 EDT
I get the following in /var/log/messages when connecting an external USB HD:

Oct 27 09:47:56 vsplvunix01 kernel: usb 2-5: new high speed USB device using ehci_hcd and address 6
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6240+64 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6240+64 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6240+64 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: usb 2-5: device descriptor read/64, error -32
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:56 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: usb 2-5: device descriptor read/64, error -32
Oct 27 09:47:57 vsplvunix01 kernel: usb 2-5: new high speed USB device using ehci_hcd and address 7
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: usb 2-5: device descriptor read/64, error -32
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 1a2de6b40+64 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: usb 2-5: device descriptor read/64, error -32
Oct 27 09:47:57 vsplvunix01 kernel: usb 2-5: new high speed USB device using ehci_hcd and address 8
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:57 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: usb 2-5: device not accepting address 8, error -32
Oct 27 09:47:58 vsplvunix01 kernel: usb 2-5: new high speed USB device using ehci_hcd and address 9
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: usb 2-5: device not accepting address 9, error -32
Oct 27 09:47:58 vsplvunix01 kernel: hub 2-0:1.0: unable to enumerate USB device on port 5
Oct 27 09:47:58 vsplvunix01 kernel: usb 8-1: new full speed USB device using uhci_hcd and address 10
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:58 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: usb 8-1: device descriptor read/64, error -32
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: usb 8-1: device descriptor read/64, error -32
Oct 27 09:47:59 vsplvunix01 kernel: usb 8-1: new full speed USB device using uhci_hcd and address 11
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: usb 8-1: device descriptor read/64, error -32
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: nommu_map_single: overflow 1a2de68c0+64 of device mask ffffffff
Oct 27 09:47:59 vsplvunix01 kernel: usb 8-1: device descriptor read/64, error -32
Oct 27 09:48:00 vsplvunix01 kernel: usb 8-1: new full speed USB device using uhci_hcd and address 12
Oct 27 09:48:00 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:48:00 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:48:00 vsplvunix01 kernel: usb 8-1: device not accepting address 12, error -32
Oct 27 09:48:00 vsplvunix01 kernel: usb 8-1: new full speed USB device using uhci_hcd and address 13
Oct 27 09:48:00 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:48:00 vsplvunix01 kernel: nommu_map_single: overflow 211c4c748+8 of device mask ffffffff
Oct 27 09:48:00 vsplvunix01 kernel: usb 8-1: device not accepting address 13, error -32
Oct 27 09:48:00 vsplvunix01 kernel: hub 8-0:1.0: unable to enumerate USB device on port 1
Comment 3 Kyle McMartin 2009-11-07 15:55:01 EST
If you boot with intel_iommu=off on the installer or installed command line, do your USB devices end up working?

Regards, Kyle
Comment 4 Kyle McMartin 2009-11-07 15:59:31 EST
Sorry, my mistake, I misread your messages and assumed it was more Intel IOMMU fallout.

Would you please instead try the build at http://koji.fedoraproject.org/koji/taskinfo?taskID=1794383
when it completes?

You'll need to install the kernel package for x86_64, and then kernel-firmware package from the noarch build.

Once you have the rpms downloaded you can update to them with:
yum update --nogpgcheck ./kernel-2*.rpm ./kernel-firmware*.rpm

regards, Kyle
Comment 5 Kyle McMartin 2009-11-07 16:15:09 EST
Actually, Chuck points out that intel_iommu=off might still fix this problem. Please give them both a try, though obviously the parameter is easier to test than the other. :)
Comment 6 Adam Williamson 2009-11-07 19:03:28 EST

*** This bug has been marked as a duplicate of bug 524808 ***

Note You need to log in before you can comment on or make changes to this bug.